Subject: bug#43772: Fix for bug#43772

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 16 Nov 2020 23:06:19 +0100

Ruthra Kumar <[email-masked]> writes:

> eshell-tramp is disabled by default. So, eshell-invoke-directly should
> return nil for su and sudo ( I'm new to eshell as well. So, I might be
> wrong here ). Replacing fboundp with 'eshell-find-alias-function'
> should fix this. So far, I've tested locally and it is working fine.

Thanks; I tested it and it fixes the reported case, while apparently
having no other obvious negative effects, so I've applied it to Emacs
28.  (I'm not overly familiar with how eshell is supposed to work,
though...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no